import { Canvas, Meta } from "@storybook/blocks";
import * as TemplateStories from "./press-block.stories";

<Meta of={TemplateStories} />

# Newsroom Press Block

Use the `ux-iws-link-wrapper` component as the root element for the press blocks with the static component
class `ux-iws-teaser-press`. Detailed example in the source code.

## One Column

<Canvas of={TemplateStories.OneColumn} />

## Two Columns

In a 2-column layout, make sure to wrap the title of the press teaser in the `ux-iws-text-lines-limit` component,
so that the two columns will maintain the same height.

<Canvas of={TemplateStories.TwoColumns} />
